<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>fft2pad</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">&lt;&lt; Filter Design and Visualization</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immesh.html">immesh &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a> &gt; fft2pad</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">fft2pad</h1>
    <p class="refpurpose">Pad smaller matrix with zeros to the given size before transformation.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">y</span><span class="default"> = </span><span class="functionid">fft2pad</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">r</span><span class="default">,</span><span class="default">c</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x :</span>
      <dd><p class="para">Source matrix</p></dd></dt>
   <dt><span class="term">r :</span>
      <dd><p class="para">Number of rows for the output image</p></dd></dt>
   <dt><span class="term">c :</span>
      <dd><p class="para">Number of columns for the output image</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">Output matric with rxc size</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">FFT2PAD will pad the input matrix to the given r x c size, and perform fft2
after the padding. This will yield the output matrix at the same size given.
This is useful in the frequency domain filtering.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://testmatrix">testmatrix</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">magic</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">y</span> <span class="scilaboperator">=</span> <span class="scilabid">fft2pad</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabnumber">8</span><span class="scilabdefault">,</span><span class="scilabnumber">8</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imdct.html" class="link">imdct</a></li>
   <li class="member"><a href="imidct.html" class="link">imidct</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">&lt;&lt; Filter Design and Visualization</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immesh.html">immesh &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
